EventAdapterImpl (Bean Scripting Framework API)
Keywords: org.apache.bsf.util.event.EventAdapterImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bsf.util.event
Class EventAdapterImpl

    java.lang.Object
      org.apache.bsf.util.event.EventAdapterImpl

All Implemented Interfaces:
  EventAdapter

Direct Known Subclasses:
  java_awt_event_ActionAdapter, java_awt_event_AdjustmentAdapter, java_awt_event_ComponentAdapter, java_awt_event_ContainerAdapter, java_awt_event_FocusAdapter, java_awt_event_ItemAdapter, java_awt_event_KeyAdapter, java_awt_event_MouseAdapter, java_awt_event_MouseMotionAdapter, java_awt_event_TextAdapter, java_awt_event_WindowAdapter, java_beans_PropertyChangeAdapter, java_beans_VetoableChangeAdapter

public class EventAdapterImpl
extends java.lang.Object
implements EventAdapter

EventAdapterImpl is a default implementation of the EventAdapter interface that specific event adapters may choose to subclass from instead of implementing the interface themselves. Saves 5 lines of code mebbe.

Author:
  Sanjiva Weerawarana, Matthew J. Duftler
See Also:
  `EventAdapter`

Field Summary
`protected EventProcessor` | `eventProcessor`

Constructor Summary
`EventAdapterImpl()`

Method Summary
`void` | `setEventProcessor(EventProcessor eventProcessor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### eventProcessor

    protected EventProcessor eventProcessor

Constructor Detail

### EventAdapterImpl

    public EventAdapterImpl()

Method Detail

### setEventProcessor

    public void setEventProcessor(EventProcessor eventProcessor)

  Specified by:
    `setEventProcessor` in interface `EventAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD